package controllers

import (
	"git.rosy.net.cn/jx-callback/business/enterprise_session"
	"github.com/astaxie/beego/server/web"
)

type SessionController struct {
	web.Controller
}

// 创建门店老板的会话群
// @Title 创建门店老板的会话群
// @Description 创建门店老板的会话群
// @Param	token			header		string	true	"认证token"
// @Param	storeId			formData	int	    true	"门店id"
// @Success 200 {object} controllers.CallResult
// @Failure 200 {object} controllers.CallResult
// @router /CreateBossSession [post]
func (c *SessionController) CreateBossSession() {
	c.callCreateBossSession(func(params *tSessionCreateBossSessionParams) (interface{}, string, error) {
		session := enterprise_session.CreateSession{}
		result, err := session.CreateBossToStaffAndCreateSession(params.Token, params.StoreId)
		return result, "", err
	})

}
